#import "template.typ": *

#show: doc => conf(
  subtitle: "Free and Open Source Mass Chromatogram Quantification Software",
  authors: (
    (
      name: "Filippo Rusconi",
    ),
    (
      name: "Benoît Valot",
    ),
    ( 
      name: "Edlira Nano",
    ),
    (
      name: "Olivier Langella",
    ),
    (
      name: "Michel Zivy",
    ),
  ),
  toc: true,
  lang: "en",
  font: "EB Garamond",
  date: "05/09/2023",
  years: (2024, 2025),
  version: "2.4.30",
  "Simple MassChroQ User Manual",
  doc
)


#let simplemcq = "SimpleMassChroQ"

= Introduction

#simplemcq is designed to extract ion current of a list of peptide and measure the are under the curve on a single run. No match between run.

= Input format

#code-block(
"peptide proformat, charge, retention time
SLTNDWEDHLAVK, 2, 853.78
SLTNDWEDHLAVK, 3, 853.78
", "csv", title: "CSV input file format")

= Output format

Wouldn't be nice to try #link("https://en.wikipedia.org/wiki/Comparison_of_data-serialization_formats")[CBOR] ?
CBOR is supported in #link("https://doc.qt.io/qt-6/cbor.html")[QT6]

It could be something liket that :
#let code = read("output.json")
#code-block(code, "json", title: "output file format")


Une mini introduction pour le TP...
#question("La question 1 ?")
#remarque("Remarque personnalisée", bg-color: olive, text-color: white)

#question("Donne un exemple de code en python.")
Voici le code nécessaire pour afficher "Hello, World!" en Python :
#code-block("print('Hello, World!')", "py", title: "HelloWorld en Python")

#question("Une question sans numéro !", counter: false)
#remarque("La remarque par défaut est très sobre.")
#question("Passer du code via un fichier ?")
#code-block(read("code/main.py"), "py")
#code-block(read("code/example.sql"), "sql", title: "Classic SQL")

Du texte entre les images.
#figure(
  image("assets/PAPPSO.svg", width: 30%),
  caption: [
    Un exemple d'image avec une légende.
  ],
)

#question("Une autre question ?")
$ A = pi r^2 $
$ "area" = pi dot "radius"^2 $
$ cal(A) :=
    { x in RR | x "is natural" } $
#let x = 5
$ #x < 17 $

#question("Des matrices ?")
$ mat(
  1, 2, ..., 10;
  2, 2, ..., 10;
  dots.v, dots.v, dots.down, dots.v;
  10, 10, ..., 10;
) $

#question("Du code inline !")
What is ```rust fn main()``` in Rust
would be ```c int main()``` in C

#question("Un tableau ?")
#table(
  columns: (1fr, 1fr, 1fr),
  inset: 10pt,
  align: horizon,
  table.header(
    [], [*Area*], [*Parameters*],
  ),
  "Une cellule",
  $ pi h (D^2 - d^2) / 4 $,
  [
    $h$: height \
    $D$: outer radius \
    $d$: inner radius
  ],
  "Une autre cellule",
  $ sqrt(2) / 12 a^3 $,
  [$a$: edge length]
)
= Conclusion
#lorem(10)

