/**
 * \file mcql/core/alignmentmethod.cpp
 * \date 25/10/2024
 * \author Olivier Langella
 * \brief store parameters related to msrun alignment
 */

/*******************************************************************************
 * Copyright (c) 2024 Olivier Langella
 *<Olivier.Langella@universite-paris-saclay.fr>.
 *
 * This file is part of MassChroQ.
 *
 *     MassChroQ is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     MassChroQ is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with MassChroQ.  If not, see <http://www.gnu.org/licenses/>.
 *
 ******************************************************************************/

#include "alignmentmethod.h"

mcql::AlignmentMethod::AlignmentMethod(const QString &id) : m_id(id)
{
}

mcql::AlignmentMethod::~AlignmentMethod()
{
}

void
mcql::AlignmentMethod::setMs1SmoothingWindow(std::uint8_t ms1_smoothing_window)
{
  m_ms1SmoothingWindow = ms1_smoothing_window;
}

void
mcql::AlignmentMethod::setMs2SmoothingWindow(std::uint8_t ms2_smoothing_window)
{
  m_ms2SmoothingWindow = ms2_smoothing_window;
}

void
mcql::AlignmentMethod::setMs2TendencyWindow(std::uint8_t ms2_tendency_window)
{
  m_ms2TendencyWindow = ms2_tendency_window;
}

void
mcql::AlignmentMethod::setTimeValuesOutputDirectory(const QString &directory)
{
  m_timeValuesOutputDirectory = directory;
}

std::uint8_t
mcql::AlignmentMethod::getMs1SmoothingWindow() const
{
  return m_ms1SmoothingWindow;
}

std::uint8_t
mcql::AlignmentMethod::getMs2SmoothingWindow() const
{
  return m_ms2SmoothingWindow;
}

std::uint8_t
mcql::AlignmentMethod::getMs2TendencyWindow() const
{
  return m_ms2TendencyWindow;
}
